## Request location sharing

**post** `/v3/chats/{chatId}/location/request`

Send a location sharing request to a contact. They will receive an iMessage
prompt asking them to share their location.

Location requests only work in **1:1 iMessage chats** (Apple limitation).
Attempting to request location in a group chat, or in an SMS or RCS chat,
returns `409` (Operation not supported on this chat's service type).

### Path Parameters

- `chatId: string`

### Returns

- `LocationRequestResponse object { message, success }`

  - `message: string`

  - `success: boolean`

### Example

```http
curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID/location/request \
    -X POST \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
```

#### Response

```json
{
  "success": true,
  "message": "Location request sent"
}
```
